package models

import "time"

type Topik struct {
	Id        string `gorm:"type:uuid;primaryKey;default:gen_random_uuid()"` // UUID as a string
	Judul     string
	Deskripsi string
	IdDosen   string
	CreatedAt time.Time `gorm:"autoCreateTime"` // Use this if you want to override the gorm.Model's CreatedAt
	UpdatedAt time.Time `gorm:"autoUpdateTime"` // Use this if you want to override the gorm.Model's UpdatedAt

	Dosen Dosen `gorm:"foreignKey:IdDosen;references:IdDosen"`
}
