package models

import "time"

type Users struct {
	Id        string    `gorm:"type:uuid;primaryKey;default:gen_random_uuid();unique"` // UUID as a string
	CreatedAt time.Time `gorm:"autoCreateTime"`                                        // Use this if you want to override the gorm.Model's CreatedAt
	UpdatedAt time.Time `gorm:"autoUpdateTime"`                                        // Use this if you want to override the gorm.Model's UpdatedAt
}
