package entity

type JadwalSidang struct {
	ID          string `gorm:"type:uuid;primaryKey;default:gen_random_uuid()" json:"id"`
	Nim         string `gorm:"column:nim" json:"nim"`
	Name        string `gorm:"column:nama_mahasiswa" json:"name"`
	Time        string `gorm:"column:time" json:"time"`
	NamaDosbing string `gorm:"column:nama_dosbing" json:"namaDosbing"`
	NamaDosuji1 string `gorm:"column:nama_dosuji1" json:"namaDosuji1"`
	NamaDosuji2 string `gorm:"column:nama_dosuji2" json:"namaDosuji2"`
	Ruang       string `gorm:"column:ruang" json:"ruang"`
	IDBatch     string `gorm:"column:id_batch" json:"batchid"`
	Judul       string `gorm:"column:judul" json:"judul"`
}

type ParamValues struct {
	Limit  int
	Offset int
}

type JadwalSidangRequest struct {
	Nim         string `json:"nim"`
	Name        string `json:"name"`
	Time        string `json:"time"`
	NamaDosbing string `json:"namaDosbing"`
	NamaDosuji1 string `json:"namaDosuji1"`
	NamaDosuji2 string `json:"namaDosuji2"`
	Ruang       string `json:"ruang"`
	IDBatch     string `json:"IDBatch"`
	Judul       string `json:"judul"`
}

type EditJadwalSidangRequest struct {
	ID          string `json:"ID"`
	Nim         string `json:"nim"`
	Name        string `json:"name"`
	Time        string `json:"time"`
	NamaDosbing string `json:"namaDosbing"`
	NamaDosuji1 string `json:"namaDosuji1"`
	NamaDosuji2 string `json:"namaDosuji2"`
	Ruang       string `json:"ruang"`
	IDBatch     string `json:"IDBatch"`
	Judul       string `json:"judul"`
}
