package usecase

import (
	"time"

	"gitlab.informatika.org/k-01-11/graduit-be/src/module/pendaftaran/entity"
)

type PendaftaranRepository interface {
	NewPendaftaran(pendaftaran entity.Pendaftaran) (output entity.Pendaftaran, err error)
	GetPendaftaran() (output []entity.Pendaftaran, err error)
	DeletePendaftaran(id string) (entity.Pendaftaran, error)
	GetPendaftaranByIdDosen(id string) (output []entity.Pendaftaran, err error)
	SetStatus(id string, val bool) (output []entity.Pendaftaran, err error)
	SetTimeInterview(id string, val time.Time) (output []entity.Pendaftaran, err error)
}
